Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class AbstractActionPipelineProcessor

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

Direct Known Subclasses:
  AbstractObjectXStream, AbstractRouter, Aggregator, ByteArrayToString, ContentBasedWiretap, EchoRouter, FileNameGeneratorAction, HttpRouter, MessagePersister, MockAction, ObjectInvoke, ObjectToCSVString, ObjectToXStream, ScriptingAction, SmooksAction, SOAPClient, SOAPClient, SOAPProcessor, StaticWiretap, StoreMessageToFile, StringTemplateProcessor, SystemPrintln, TestMessageStore

    public abstract class AbstractActionPipelineProcessor

extends AbstractActionLifecycle
implements ActionPipelineProcessor

Abstract class for processor actions used in a pipeline.

Author:
  kevin

Field Summary

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`AbstractActionPipelineProcessor()`

Method Summary
`void` | `processException(Message message, java.lang.Throwable th)` Process an exception generated by the pipeline processing.
`void` | `processSuccess(Message message)` Process a successful pipeline process.

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle
`destroy, initialise`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`process`

Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle
`destroy, initialise`

Constructor Detail

### AbstractActionPipelineProcessor

    public AbstractActionPipelineProcessor()

Method Detail

### processException

    public void processException(Message message,
                                 java.lang.Throwable th)

  Process an exception generated by the pipeline processing. Invoked when the processing of a subsequent stage of the pipeline generates an exception.

  Specified by:
    `processException` in interface `ActionPipelineProcessor`
  Parameters:
    `message` - The original message.
    `th` - The throwable raised by the pipeline processing

### processSuccess

    public void processSuccess(Message message)

  Process a successful pipeline process. Invoked when the pipeline processing completes successfully.

  Specified by:
    `processSuccess` in interface `ActionPipelineProcessor`
  Parameters:
    `message` - The original message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD